Bug 668054 - subscription-manager-gui Contract Selection dialog should be modal
Summary: subscription-manager-gui Contract Selection dialog should be modal
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Adrian Likins
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2011-01-07 19:12 UTC by John Sefler
Modified: 2011-05-19 13:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:38:40 UTC
Target Upstream Version:


Attachments (Terms of Use)
Contract Selection dialog should stay above the parent. (574.41 KB, image/png)
2011-01-07 19:12 UTC, John Sefler
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description John Sefler 2011-01-07 19:12:39 UTC
Created attachment 472281 [details]
Contract Selection dialog should stay above the parent.

Description of problem:
When subscribing to a pool in the subscription-manager-gui, a "Contract Selection" dialog pops up.  This dialog needs to:

- center itself to the parent window "Subscription Manager".  Currently it renders to the 0,0 corner of the display. That's lame.
- be modal to its parent window "Subscription Manager" such that it always remains on top.  Currently you can click the "Subscription Manager" window and raise it over the "Contract Selection" dialog while the focus remains in the "Contract Selection" dialog.  That's not good.

See the attached screenhot.

Version-Release number of selected component (if applicable):
[root@jsefler-onprem01 ~]# rpm -q subscription-manager-gnome
subscription-manager-gnome-0.93.9-1.git.17.9bab7c0.el6.x86_64

Comment 2 Adrian Likins 2011-01-13 16:59:00 UTC
commit 65873c605be3c420925a7f831391c2e9b33d7891
Author: Adrian Likins <alikins@redhat.com>
Date:   Wed Jan 12 13:14:24 2011 -0500

    668054: center contract selection dialog
    
    Make it a dialog hint, which makes it behave
    more "modal" and centers it.
    
    Add default hbox orientation and remove unneeded "swapped"
    messages for contract_selection and allsubs glade files.
    
    Change treeview to use "automatic" for it's scrollbar
    policy to get the full widget to show up sans scrolling.
    Also remove default size requests for the treeview.
    
    Pass in parent top level window to contract_selection
    so "center on parent" works

Comment 3 J.C. Molet 2011-01-21 17:43:46 UTC
The new contract selection dialog opens centered on the parent window and it always remains on top.

Tested in version:

subscription-manager-0.93.13-1.git.11.e083aba.el6.x86_64
subscription-manager-firstboot-0.93.13-1.git.11.e083aba.el6.x86_64
subscription-manager-gnome-0.93.13-1.git.11.e083aba.el6.x86_64

Comment 4 errata-xmlrpc 2011-05-19 13:38:40 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.